				<?php
				$page_id = $section->object_id;
				if (!$page_id) $page_id = get_the_ID();
				$timeline_category = get_post_meta($page_id, 'timeline_category', true);
				$timeline_order = get_post_meta($page_id, 'timeline_order', true);
				if (!$timeline_order) $timeline_order = 'ASC';
				
				$timeline_date = get_post_meta($page_id, 'timeline_date', true);
				if (!$timeline_date) $timeline_date = 'Y';
				
				$timeline_date_item = get_post_meta($page_id, 'timeline_date_item', true);
				if (!$timeline_date_item) $timeline_date_item = 'F jS';
				
				$args = array(
					'post_type' => 'timeline',
					'posts_per_page' => -1,
					'post_status' => array( 'publish', 'future' ),
					'order' => $timeline_order
				);
				
				if ($timeline_category) {
					$args['tax_query'] = array(
						array(
							'taxonomy' => 'timeline-category',
							'field' => 'id',
							'terms' => $timeline_category
						)
					);
				}
				
				$timeline = new WP_Query($args);
				
				$year = '';
				?>
			
				<div class="timeline">
					<div class="line"></div>					
					
					<?php while($timeline->have_posts()): $timeline->the_post(); ?>
					
					<?php if ($year != get_the_time($timeline_date)): ?>
						<?php $year = get_the_time($timeline_date); ?>
						<span class="year"><?php echo $year; ?></span>
					<?php endif; ?>
					
					<div id="post-<?php the_ID(); ?>" <?php $even_odd = (++$j % 2 == 0) ? 'even' : 'odd'; post_class( $even_odd.' post' ); ?>>
						<div class="post_content">
							<div class="box<?php if(empty($post->post_content)): ?> hide<?php endif; ?>">
								<h2><?php the_title(); ?></h2>
								<?php the_content(); ?>
							</div>
						</div>
						<div class="data">
							<div class="date"><span><?php the_time($timeline_date_item); ?></span></div>
							<div class="clear"></div>
							
							<?php if (get_post_format()==''): ?>
								<?php if ( has_post_thumbnail() ): ?>
									<div class="post_thumbnail"><?php the_post_thumbnail('medium'); ?></div>
								<?php endif; ?>
							<?php endif; ?>
							
							<?php if (get_post_format()=='image'): ?>
								<div class="post_thumbnail"><?php the_post_format_image('medium'); ?></div>
							<?php endif; ?>
							
							<?php if (get_post_format()=='gallery'): ?>
								<?php
								$att_args = array(
									'post_type'	     => 'attachment',
									'numberposts'    => -1,
									'post_status'    => null,
									'post_parent'    => $post->ID,
									'post_mime_type' => 'image',
									'orderby'        => 'menu_order'
								);
								$attachments = get_posts( $att_args );
								
								if( $attachments ): ?>
									<?php wp_enqueue_script('jquery-elastislide-js'); ?>
									<div class="wedding_gallery">
										<ul class="album scrollable">
											<?php foreach( $attachments as $attachment ): ?>
											<?php $thumb = wp_get_attachment_image( $attachment->ID ); ?>
											<?php $full = wp_get_attachment_url( $attachment->ID ); ?>
											<?php $title = get_the_title( $attachment->ID ); ?>
											<li>
												<a href="<?php echo $full; ?>" rel="fancybox" title="<?php echo $title; ?>">
													<?php echo $thumb; ?>
												</a>
											</li>
											<?php endforeach; ?>
										</ul>
										<div class="clear"></div>
									</div>
								<?php endif; ?>
							<?php endif; ?>
							
							<?php if (get_post_format()=='audio'): ?>
								<?php
								$att_args = array(
									'post_type'	     => 'attachment',
									'numberposts'    => 1,
									'post_status'    => null,
									'post_parent'    => $post->ID,
									'post_mime_type' => 'audio',
									'orderby'        => 'menu_order'
								);
								$attachments = get_posts( $att_args );
								if( $attachments ): ?>
									<?php wp_enqueue_script('mediaelement-js'); ?>
									<?php wp_enqueue_style('mediaelement-css'); ?>
									<?php foreach( $attachments as $attachment ): ?>
										<?php $attachmenturl=wp_get_attachment_url($attachment->ID); ?>
										<div class="entry-banner featured-audio">
											<audio id="player2" src="<?php echo $attachmenturl; ?>" type="audio/mp3" controls="controls"></audio>	
										</div>
									<?php endforeach; ?>
								<?php endif; ?>
								<?php $audio = get_post_meta( get_the_ID(), '_format_audio_embed', true ); ?>
								<?php if (!$audio) $audio = get_post_meta($post->ID, 'post_format_audio_field', true); ?>
								<?php if ($audio && !$attachments): ?>
								<div class="entry-banner featured-audio">
									<?php echo $audio; ?>
								</div>
								<?php endif; ?>
							<?php endif; ?>
							
							<?php if(get_post_format()=='video'): ?>
								<?php $video = get_post_meta($post->ID, '_format_video_embed', true ); ?>
								<?php if (!$video) $video = get_post_meta($post->ID, 'post_format_video_field', true); ?>
								<?php if ($video): ?>
								<div class="entry-banner featured-video">
									<?php if (strpos($video,'youtube') !== false): ?>
										<?php parse_str( parse_url( $video, PHP_URL_QUERY ), $video_id ); ?>		
										<iframe width="780" height="439" src="http://www.youtube.com/embed/<?php echo $video_id['v']; ?>?autoplay=0" frameborder="0" allowfullscreen></iframe>
									<?php elseif (strpos($video,'vimeo') !== false): ?>
										<?php sscanf(parse_url($video, PHP_URL_PATH), '/%d', $video_id); ?>
										<iframe src="http://player.vimeo.com/video/<?php echo $video_id; ?>?title=0&amp;byline=0&amp;portrait=0" width="780" height="438" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>		 
									<?php else: ?>
										<?php echo $video; ?>
									<?php endif; ?>
								</div>
								<?php endif; ?>
							<?php endif; ?>
							
							<?php if(get_post_format()=='quote'): ?>
								<?php $quote_content = true; ?>
								<?php $quote_text = '<p>'.get_post_meta($post->ID, 'post_format_quote_text_field', true).'</p>'; ?>
								<?php $quote_from = get_post_meta($post->ID, '_format_quote_source_name', true); ?>
								<?php if ($quote_from) $quote_text = get_the_content(); ?>
								<?php if (!$quote_from) $quote_from = get_post_meta($post->ID, 'post_format_quote_from_field', true); ?>
								<?php $quote_link = get_post_meta($post->ID, '_format_quote_source_url', true); ?>
								
								<?php if($quote_text): ?>
								<blockquote>
									<?php echo $quote_text; ?>
									<?php if($quote_from): ?>
										<p>
											<?php if($quote_link): ?><a href="<?php echo $quote_link; ?>" target="_blank"><?php endif; ?>
												<em><?php echo $quote_from; ?></em>
											<?php if($quote_link): ?></a><?php endif; ?>
										</p>
									<?php endif; ?>
								</blockquote>
								<?php endif; ?>
							<?php endif; ?>
														
							<?php if(get_post_format()=='link'): ?>
								<?php $link = get_post_meta($post->ID, '_format_link_url', true ); ?>
								<?php if(!$link) $link = get_post_meta($post->ID, 'post_format_link_field', true); ?>
								<?php if ($link): ?>
									<a href="<?php echo $link; ?>" class="link icon-link"><?php echo $link; ?></a>
								<?php endif; ?>
							<?php endif; ?>
													
						</div>
						<div class="clear"></div>
					
					</div>
					<?php endwhile; ?>
				</div>
				
				<div class="clear"></div>
