jQuery(document).ready(function($) {

	$('input[name="slider_autoplay"]').change(function(){
		if ($(this).is(':checked')) {
			$('#autoplay-delay').show();
		} else {
			$('#autoplay-delay').hide();
		}
	});
	
	$('#add_slide').click(function(){
		$('#slides').append($('#slide_empty').clone().removeAttr('id').show());
		slideNumbers();
		return false;
	});
	
	$( "#slides" ).sortable({
		update: function(event, ui){  
			slideNumbers();
		}
	});
	
	function slideNumbers() {
		$('#slides .slide').each(function(){
			var index = $(this).index();
			$(this).find('header em').html(index+'.');
			$(this).find('textarea').attr('name','slide_data['+index+'][caption]');
			$(this).find('.image input').attr('name','slide_data['+index+'][image]');
			$(this).find('.right input').attr('name','slide_data['+index+'][link]');
			$(this).find('.right .caption_position input').attr('name','slide_data['+index+'][caption_position]');
			
			$(this).find('.link_target_input').attr('name','slide_data['+index+'][link_target]');
		});
	}
	
	$(document).on('click', '#slides .slide header a.delete', function(){
		$(this).parents('.slide').remove();
		return false;
	});
	
	$(document).on('click', '#slides .slide header a.duplicate', function(){
		var slide = $(this).parents('.slide');
		var textarea = slide.find('textarea').val();
		slide.clone().find('textarea').val(textarea).parents('.slide').insertAfter(slide);
		return false;
	});

	var _custom_media = true,
		_orig_send_attachment = wp.media.editor.send.attachment;


	$(document).on('click', '#slides .slide .image a.upload', function(e){
		var send_attachment_bkp = wp.media.editor.send.attachment;
		var button = $(this);
		var image = button.parent();
		var image_field = image.find('input');
		_custom_media = true;
		wp.media.editor.send.attachment = function(props, attachment){
			if ( _custom_media ) {
			
				image.attr('style','background-image:url('+attachment.url+')').addClass('hasimg');
				image_field.val(attachment.id);
			
			} else {
				return _orig_send_attachment.apply( this, [props, attachment] );
			};
		}
		wp.media.editor.open(button);
		return false;
	});
	
	
	$(document).on('click', '#slides .slide .image a.upload_video', function(e){
		var button = $(this);
		var title = button.attr('title');
		var image = button.parent();
		var image_field = image.find('input');
		
		var video = prompt(title,'http://www.youtube.com/watch?v=OmLNs6zQIHo');
		
		
		function processURL(url){
			var id;
			var image;
			var regExp = /^.*(vimeo\.com\/)((channels\/[A-z]+\/)|(groups\/[A-z]+\/videos\/))?([0-9]+)/;
			
			if (url.indexOf('youtube.com') > -1) {
			    id = url.split('v=')[1].split('&')[0];
			    processYouTube(id);
			} else if (url.indexOf('youtu.be') > -1) {
			    id = url.split('/')[1];
			    processYouTube(id);
			} else if (url.match(regExp)) {
			   
			        id = url.match(regExp);
			        id = id[5];
			        
			        $.ajax({
				        url: 'http://vimeo.com/api/v2/video/' + id + '.json',
				        dataType: 'jsonp',
				        success: function(data) {
				            image = data[0].thumbnail_large;
				            
				            inset_video_bg(image);
				        }
				    });
			    
			} else {
			    throw new Error('Unrecognised URL');
			}
			
			function processYouTube(id) {
			    if (!id) {
			        throw new Error('Unsupported YouTube URL');
			    }
			    image = 'http://i2.ytimg.com/vi/' + id + '/maxresdefault.jpg';
			    
			    inset_video_bg(image);
			}
			
		}
		
		processURL(video);		
		
		function inset_video_bg(video_img) {
			image_field.val(video);
			image.attr('style','background-image:url('+video_img+')').addClass('hasimg');
		}
		return false;
	});
	
	$('.add_media').on('click', function(){
		_custom_media = false;
	});
	
	
	$(document).on('click', '.caption_position a', function(e){
		if($(this).hasClass('active')) {
			$(this).removeClass('active');
			var val = 'html';
		} else {
			$(this).parent().find('a').removeClass('active');
			$(this).addClass('active');
			var val = 'caption '+$(this).attr('href');
		}
		$(this).parent().find('input').val(val);
		return false;
	});
	
	
	$(document).on('click', 'a.link_target', function(e){
		$(this).toggleClass('active');
		if ($(this).hasClass('active')) {
			$(this).parent().find('.link_target_input').val('1');
		} else {
			$(this).parent().find('.link_target_input').val(0);
		}
		return false;
	});
	
	$('.slider-extra.fade-type a').click(function(){
		$(this).parent().find('strong').removeClass('active');
		if ($(this).hasClass('on')) {
			$(this).removeClass('on');
			$(this).parent().find('input').attr('checked', false);
			$(this).parent().find('strong.fade').addClass('active');
		} else {
			$(this).addClass('on');
			$(this).parent().find('input').attr('checked', true);
			$(this).parent().find('strong.slide').addClass('active');
		}
		return false;
	});
	
	$('.image.hasimg input[value^="http://vimeo.com"]').each(function(){
		var url = $(this).val();
		var id;
		var image;
		var regExp = /^.*(vimeo\.com\/)((channels\/[A-z]+\/)|(groups\/[A-z]+\/videos\/))?([0-9]+)/;
		
		id = url.match(regExp);
		id = id[5];
		
		$bg = $(this).parent();
		
		$.ajax({
			url: 'http://vimeo.com/api/v2/video/' + id + '.json',
			dataType: 'jsonp',
			success: function(data) {
				image = data[0].thumbnail_large;
				$bg.css('background-image','url('+image+')');
			}
		});
	});
	
});