<?php

//Check the licence key
add_action('wp_ajax_wedding_verify_purchase_code', 'wedding_verify_purchase_code');
function wedding_verify_purchase_code() {

	// Build URL
	$url = 'http://visztpeter.me/WordPress/activate/?';
	$url.= 'theme='.urlencode('Wedding').'&';
	$url.= 'code='.urlencode($_POST['purchase_code']);

	// Store purchase code
	update_option('wedding-purchase-code', $_POST['purchase_code']);

	// Make the call
	$response = wp_remote_post($url);
	$response = $response['body'];

	// Check validation
	if($response == 'valid') {
		// Store validity
		update_option('wedding-validated', '1');
		// Show message
		die(json_encode(array('success' => true, 'message' => __('Thank you for purchasing Wedding Theme. You successfully validated your purchase code for auto-updates.', 'wedding'))));
	} else {
		// Store validity
		update_option('wedding-validated', '0');
		// Show message
		die(json_encode(array('success' => false, 'message' => __("Your purchase code doesn't appear to be valid. Please make sure that you entered your purchase code correctly.", "wedding"))));
	}
}


//Check for updates
//set_site_transient('update_themes', null);
$api_url = 'http://visztpeter.me/WordPress/repo/';

if(function_exists('wp_get_theme')){
    $theme_data = wp_get_theme(get_option('template'));
    $theme_version = $theme_data->Version;
} else {
    $theme_data = get_theme_data( TEMPLATEPATH . '/style.css');
    $theme_version = $theme_data['Version'];
}
$theme_base = get_option('template');

if(get_option('wedding-validated', '0')) {
	add_filter('pre_set_site_transient_update_themes', 'check_for_update');
	add_filter('themes_api', 'my_theme_api_call', 10, 3);
}

function check_for_update($checked_data) {
	global $wp_version, $theme_version, $theme_base, $api_url;

	// Get purchase code
	$code = get_option('wedding-purchase-code', '');

	$request = array(
		'slug' => $theme_base,
		'version' => $theme_version
	);
	// Start checking for an update
	$send_for_check = array(
		'body' => array(
			'action' => 'theme_update',
			'code' => $code,
			'request' => serialize($request),
			'api-key' => md5(get_bloginfo('url'))
		),
		'user-agent' => 'WordPress/' . $wp_version . '; ' . get_bloginfo('url')
	);
	$raw_response = wp_remote_post($api_url, $send_for_check);

	if (!is_wp_error($raw_response) && ($raw_response['response']['code'] == 200))
		$response = unserialize($raw_response['body']);

	// Feed the update data into WP updater
	if (!empty($response))
		$checked_data->response[$theme_base] = $response;

	return $checked_data;
}

// Take over the Theme info screen on WP multisite
function my_theme_api_call($def, $action, $args) {
	global $theme_base, $api_url, $theme_version, $api_url;

	if ($args->slug != $theme_base)
		return false;

	// Get the current version

	$args->version = $theme_version;
	$request_string = prepare_request($action, $args);
	$request = wp_remote_post($api_url, $request_string);

	if (is_wp_error($request)) {
		$res = new WP_Error('themes_api_failed', __('An Unexpected HTTP Error occurred during the API request.</p> <p><a href="?" onclick="document.location.reload(); return false;">Try again</a>','wedding'), $request->get_error_message());
	} else {
		$res = unserialize($request['body']);

		if ($res === false)
			$res = new WP_Error('themes_api_failed', __('An unknown error occurred','wedding'), $request['body']);
	}

	return $res;
}

if (is_admin())
	$current = get_transient('update_themes');
?>